Bug 836836 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory devices.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the director...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:230c663b6f3f96d5174b6acdced...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 17:23 EDT by Shyler Lee
Modified: 2012-07-17 13:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:27:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shyler Lee 2012-07-01 17:23:44 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-3.fc17.x86_64
time:           Sun 01 Jul 2012 05:23:23 PM EDT

description:
:SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory devices.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed read access on the devices directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep jockey-backend /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:jockey_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:sysfs_t:s0
:Target Objects                devices [ dir ]
:Source                        jockey-backend
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-6.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-3.fc17.x86_64 #1 SMP
:                              Tue Jun 26 20:54:56 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sun 01 Jul 2012 05:23:02 PM EDT
:Last Seen                     Sun 01 Jul 2012 05:23:02 PM EDT
:Local ID                      76163ae3-2efe-4910-a4de-ed2dd77d943e
:
:Raw Audit Messages
:type=AVC msg=audit(1341177782.525:113): avc:  denied  { read } for  pid=2053 comm="jockey-backend" name="devices" dev="sysfs" ino=4 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1341177782.525:113): arch=x86_64 syscall=openat success=yes exit=ENOEXEC a0=ffffffffffffff9c a1=21d1960 a2=90800 a3=0 items=0 ppid=1 pid=2053 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=jockey-backend exe=/usr/bin/python2.7 subj=system_u:system_r:jockey_t:s0-s0:c0.c1023 key=(null)
:
:Hash: jockey-backend,jockey_t,sysfs_t,dir,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-02 00:46:59 EDT
Fixed in selinux-policy-3.10.0-137.fc17
Comment 2 Fedora Update System 2012-07-04 02:41:41 EDT
selinux-policy-3.10.0-137.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-137.fc17
Comment 3 Fedora Update System 2012-07-05 19:36:43 EDT
Package selinux-policy-3.10.0-137.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-137.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10279/selinux-policy-3.10.0-137.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-17 13:27:56 EDT
selinux-policy-3.10.0-137.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.